"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subscriptions = exports.mockReplaybirdJsHttpRequest = exports.createMockedReplaybirdJsSdk = exports.REPLAYBIRD_API_KEY = exports.identifySubscription = exports.trackSubscription = void 0;
const tslib_1 = require("tslib");
const nock_1 = tslib_1.__importDefault(require("nock"));
exports.trackSubscription = {
    partnerAction: 'trackEvent',
    name: 'Track',
    enabled: true,
    subscribe: 'type = "track"',
    mapping: {
        name: {
            '@path': '$.name'
        },
        properties: {
            '@path': '$.properties'
        }
    }
};
exports.identifySubscription = {
    partnerAction: 'identifyUser',
    name: 'Identify',
    enabled: true,
    subscribe: 'type = "identify"',
    mapping: {
        userId: {
            '@path': '$.userId'
        },
        traits: {
            '@path': '$.traits'
        }
    }
};
exports.REPLAYBIRD_API_KEY = 'secret';
const createMockedReplaybirdJsSdk = () => {
    return {
        apiKey: exports.REPLAYBIRD_API_KEY,
        init: jest.fn(),
        capture: jest.fn(),
        identify: jest.fn()
    };
};
exports.createMockedReplaybirdJsSdk = createMockedReplaybirdJsSdk;
const mockReplaybirdJsHttpRequest = () => {
    (0, nock_1.default)('https://cdn.replaybird.com').get(`/agent/latest/replaybird.js`).reply(200, {});
};
exports.mockReplaybirdJsHttpRequest = mockReplaybirdJsHttpRequest;
exports.subscriptions = [exports.trackSubscription, exports.identifySubscription];
//# sourceMappingURL=utils.js.map